AA Gateway

Account Availability

API Playground

Overview

The Account Availability Check API enables Financial Information Users (FIUs) to verify the existence of customer accounts across Account Aggregators Setu’s AA gateway offers using a customer's phone number. This documentation provides guidelines on how to integrate and use the API effectively.


Authentication

FIUs must use Auth Mechanism to obtain an access token for authentication. Include the access token in the Authorization header of each request.


Account Availability API

POST /v2/account-availability
Headers: 
    Authorization: Bearer <access token>
    Content-Type: application/json
    x-product-instance-id: <product instance id>
Body:
{
    "mobileNumber": "9999999999",
}
Response
{
    "accounts": [
        {
            "aa": "onemoney",
            "vua": "9999999999@onemoney",
            "status": true
        },
        {
            "aa": "setu-aa",
            "vua": "9999999999@setu",
            "status": false
        }
    ],
    "traceId": "609fa794-2756-417f-8316-a938a6265c43"
}
Response
{
  "errorMsg": "string",
  "errorCode": "string",
  "traceId": "string",
}
Error codes

A mapping of error codes and messages for the Create consent API

Status codesError codesError messages
400InvalidRequest
  • Invalid request body
  • Invalid response from upstream
500InternalServerErrorAn internal server error has occurred, please try again in some time. You can report this to aa@setu.co

On this page